SUMMARY = "Provides the FPGA bitstream for White Rabbit Network Interface Card on SPEC"

LICENSE = "GPL-2.0"
LIC_FILES_CHKSUM = "file://${COREBASE}/meta/files/common-licenses/GPL-2.0;md5=801f80980d171dd6425610833a22dbe6"

PR = "r1"
PV = "0.1"

# Patch the top Manifest.py to adapt the old WR-NIC repo to the new HDLMake format.
SRC_URI = "git://ohwr.org/white-rabbit/wr-nic.git \
           file://top-manifest.patch"

SRCREV = "3bf04881479303ae41ce3fd2f4df90cd22ea8991"

S = "${WORKDIR}/git"

# Update and init Git submodules to clone some dependent HDL libraries
do_fetch_extra(){
    git submodule update --init
}
addtask fetch_extra after do_unpack before do_patch


FILES_${PN} += "/lib/firmware/fmc"


# Get into the HDL synthesis folder and run HDLMake to analyze the design and generate the Makefile.
# Once the design is cloned, we can run make to build the FPGA bitstream.
do_compile() {
    cd ${S}/syn/specdio/
    hdlmake
    make
}


# Install the bitstream binary in the folder where the associated kernel module will search for it.
do_install() {
             install -d ${D}/lib/firmware/fmc
             install -m 0755 ${S}/syn/specdio/wr_nic_dio_top.bin ${D}/lib/firmware/fmc/wr_nic_dio.bin
}


